envFrom:
  - secretRef:
      name: studio-api

command:
  - "/bin/sh"
  - "-c"
  - "./run.sh"

ingress:
  enabled: true
  className: alb
  annotations:
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: ip
    alb.ingress.kubernetes.io/backend-protocol: HTTP
    alb.ingress.kubernetes.io/listen-ports: '[{"HTTPS":80}, {"HTTPS":443}]'
    alb.ingress.kubernetes.io/ssl-redirect: '443'
  hosts:
    - host: api.suno.com
      paths:
        - path: /
          pathType: ImplementationSpecific

service:
  port: 8005

migration:
  enabled: true